### Method

# EBackend CacheKeys get_sync

since: 3.48

#### Declaration [src]

    gboolean
    e_cache_keys_get_sync (
      ECacheKeys* self,
      const gchar* key,
      gchar** out_value,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets a stored value with given `key`, which had been previously put into the `self` with e_cache_keys_put_sync().

The returned string should be freed with `g_free()` when no longer needed.

Available since: 3.48

#### Parameters

`key`

  Type: `const gchar*`

  A key to get.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_value`

  Type: `gchar**`

  Return location for the stored value for the `key`.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.